<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.lianxin.pubqq"
    android:installLocation="auto"    
    android:versionCode="1"
    android:versionName="1.0.0" >

    <uses-sdk
        android:minSdkVersion="23"
        android:targetSdkVersion="28" />

    <!-- Frontia框架的公共权限 -->
    <uses-permission android:name="android.permission.DOWNLOAD_WITHOUT_NOTIFICATION" />
    <!-- FrontiaPush 和FrontiaStatistics 需要的权限 -->
    <uses-permission android:name="android.permission.WRITE_SETTINGS"></uses-permission>  	
   
	<uses-permission android:name="android.permission.CAMERA" />
	<uses-permission android:name="android.permission.INTERNET" />
	<uses-permission android:name="android.permission.READ_PHONE_STATE" />	
	<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
     <!-- 读取本地联系人的权限 -->	
	<uses-permission android:name="android.permission.READ_CONTACTS" />

	 <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_MOCK_LOCATION" />
     <!-- 向SD卡读出数据权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
     <!-- 向SD卡写入数据权限 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />    
     <!-- 在sd卡中创建与删除文件权限 -->    
    <uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
      <!-- Android 6.0及以上版本，wifiManager.getScanResults()需要 --> 
      <!-- 用于进行网络定位 -->         
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
      <!-- 用于访问GPS定位 -->     
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />    
    <uses-permission android:name="android.permission.GET_TASKS" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    
	 <uses-permission android:name="android.permission.GET_ACCOUNTS" />  
	<uses-permission android:name="android.permission.USE_CREDENTIALS" />  
	<uses-permission android:name="android.permission.MANAGE_ACCOUNTS" />  
	<uses-permission android:name="android.permission.AUTHENTICATE_ACCOUNTS" />  
	<uses-permission android:name="com.android.launcher.permission.READ_SETTINGS" />  
	<uses-permission android:name="android.permission.BROADCAST_STICKY" />  
 
	  <!-- Push service 运行需要的权限 -->
    <uses-permission android:name="android.permission.ACCESS_DOWNLOAD_MANAGER"/>
    <uses-permission android:name="android.permission.DOWNLOAD_WITHOUT_NOTIFICATION" />
    <uses-permission android:name="android.permission.DISABLE_KEYGUARD" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />   
    
     <!-- 发送消息的权限 -->
    <uses-permission android:name="android.permission.SEND_SMS"/>  

      <!-- 蓝牙服务的权限 -->    
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />   
    <application
        android:allowBackup="false"
        android:name="com.lianxin.pubqq.main.MyApp"        
        android:icon="@drawable/app_icon"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <activity
            android:name="com.lianxin.pubqq.main.LoadingActivity"
            android:label="@string/app_name" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
            <intent-filter>
                <action android:name="android.media.action.IMAGE_CAPTURE" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter> 
             <intent-filter>
                <action android:name="android.content.Intent.ACTION_VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>                      
        </activity>
       <activity
            android:name="com.lianxin.pubqq.main.MainActivity">

        </activity>      
        <service 
            android:name="com.lianxin.panqq.thread.service.MyOnTimerService" >    
 
        </service>  
      <provider
                android:name="android.support.v4.content.FileProvider"
                android:authorities="com.photocameratest2.fileprovider"
                android:exported="false"
                android:grantUriPermissions="true">
            <meta-data
                    android:name="android.support.FILE_PROVIDER_PATHS"
                    android:resource="@xml/file_paths" />
        </provider>        
        <!-- 聊天页面 -->	
        <activity
            android:name=".chat.EMChatActivity"
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
        </activity>	
        <activity
            android:name=".chat.IMChatActivity"
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
             <intent-filter>
                <action android:name="android.content.Intent.ACTION_VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>           
        </activity>	        
         <!-- 显示下载大图页面 -->
        <activity
            android:name=".chat.ShowBigImageActivity"
            android:theme="@style/horizontal_slide" >
        </activity>           
        <!-- 自定义的contextmenu -->
        <activity
            android:name=".chat.ContextMenu"
            android:theme="@style/MyDialogStyle" >
        </activity>   
        <activity
            android:name=".chat.ShowVideoActivity"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="stateAlwaysHidden" >
        </activity>
        <activity
            android:name=".chat.ShowNormalFileActivity"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="stateAlwaysHidden" >
        </activity> 
         <activity
            android:name=".chat.UploadFileActivity"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="stateAlwaysHidden" >
        </activity> 
           <activity
            android:name=".chat.DownloadFileActivity"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="stateAlwaysHidden" >
        </activity>                  
        <!-- choose video  -->
        <activity android:name=".chat.ImageGridActivity"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="stateAlwaysHidden"
            >
        </activity>
        <activity android:name=".chat.RecorderVideoActivity"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="stateAlwaysHidden"
            android:screenOrientation="portrait"
            ></activity>  
		<activity
			android:name=".chat.VoiceCallActivity"
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
		</activity>
		<activity
			android:name=".chat.VideoCallActivity"
	            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
		</activity> 
		
			<activity
			android:name=".chat.VoiceTeleActivity"
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
		</activity>
		<activity
			android:name=".chat.VideoTeleActivity"
	            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
		</activity> 	
	
        <activity
            android:name=".chat.PickFriendActivity"
            android:theme="@style/horizontal_slide">
        </activity>	
        <activity
            android:name=".chat.PickGroupsActivity"
            android:theme="@style/horizontal_slide">
        </activity>        
        <activity
            android:name=".chat.ForwardMessageActivity"
            android:theme="@style/horizontal_slide">
        </activity>	 
 	    <activity
			android:name=".extend.file.FileManager"
			android:screenOrientation="portrait">
		</activity>               	
       <!-- 用户列表页 -->
        <activity
            android:name=".activity.UserListActivity"
            android:theme="@style/horizontal_slide">
         </activity>
          <activity
            android:name=".activity.UserListActivity1"
            android:theme="@style/horizontal_slide">
         </activity>       
       <activity
            android:name=".activity.GroupListActivity"
            android:theme="@style/horizontal_slide">
         </activity>
       <activity
            android:name=".activity.MemberListActivity"
            android:theme="@style/horizontal_slide">
         </activity>
        <activity
            android:name=".activity.MemberAdminListActivity"
            android:theme="@style/horizontal_slide">
         </activity> 
       <activity
            android:name=".activity.UserDetailInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity> 
        <activity
            android:name=".activity.UserSuperInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity>                          
        <activity
            android:name=".activity.MytypeListActivity"
            android:theme="@style/horizontal_slide">
         </activity>         
       <activity
            android:name=".activity.InviteListActivity"
            android:theme="@style/horizontal_slide">
         </activity> 
        <activity
            android:name=".activity.InformListActivity"
            android:theme="@style/horizontal_slide">
         </activity>                   
        <activity
            android:name=".activity.UserInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity>
       <activity
            android:name=".activity.GroupInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity>
        <activity
            android:name=".activity.GroupEditActivity"
            android:theme="@style/horizontal_slide">
         </activity>        
       <activity
            android:name=".activity.MemberInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity>  
        <activity
            android:name=".activity.MytypeInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity>
       <activity
            android:name=".activity.FriendInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity> 
         <activity
            android:name=".activity.AdminGroupActivity"
            android:theme="@style/horizontal_slide">
         </activity>         
        <activity
            android:name=".activity.NewGroupActivity"
            android:theme="@style/horizontal_slide">
         </activity>                                          
 
       <activity
            android:name=".activity.FriendTypeInfoActivity"
            android:theme="@style/horizontal_slide">
         </activity>  
      <activity
            android:name=".activity.AddnewMemberActivity"
            android:theme="@style/horizontal_slide">
         </activity>                           
        <activity
            android:name=".extend.SightActivity"
            android:theme="@style/horizontal_slide">
         </activity>  
       <activity
            android:name=".extend.GuardActivity"
            android:theme="@style/horizontal_slide">
         </activity>  
   		 <activity
            android:name=".extend.DepartActivity" 
            android:screenOrientation="portrait">
        </activity>
   		 <activity
            android:name=".extend.PartyActivity" 
            android:screenOrientation="portrait">
        </activity> 
   		 <activity
            android:name=".extend.GroupActivity" 
            android:screenOrientation="portrait">
        </activity> 
    		 <activity
            android:name=".extend.ClassActivity" 
            android:screenOrientation="portrait">
        </activity> 
   		 <activity
            android:name=".extend.CrowdActivity" 
            android:screenOrientation="portrait">
        </activity>       
   		 <activity
            android:name=".extend.CityActivity" 
            android:screenOrientation="portrait">
        </activity>  
		 <activity
            android:name=".extend.GroupSettingActivity" 
            android:screenOrientation="portrait">
        </activity> 
		 <activity
            android:name=".extend.UserDetailActivity" 
            android:screenOrientation="portrait">
        </activity> 
  
   		 <activity
            android:name=".ulive.MeetingAudioActivity" 
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
        </activity> 
   		 <activity
            android:name=".ulive.MeetingVideoActivity" 
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
        </activity>                     
  		 <activity
            android:name=".ulive.GroupVideoActivity" 
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
        </activity>         
  		 <activity
            android:name=".ulive.GroupAudioActivity" 
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >
        </activity>         
  		 <activity
            android:name=".extend.UploadFileActivity" 
            android:screenOrientation="portrait">
        </activity>                                                                              				                                
         <!-- 登陆 -->
        <activity
            android:name=".main.LoginActivity"
            android:theme="@style/MyDialogStyle"  > 
        </activity>
        <!-- 登陆 -->
         <activity
            android:name=".main.AdminLogActivity"
            android:theme="@style/MyDialogStyle"  > 
        </activity>
        <!-- 注册 -->
        <activity
            android:name=".main.RegisterActivity"
            android:theme="@style/horizontal_slide" >
        </activity>
         <!-- 显示用户详情 -->
 
 		<activity
			android:name=".chat.BaiduMapActivity"

             android:theme="@style/horizontal_slide">           
		</activity>           
                     
         <activity
            android:name=".setup.SetupBasicActivity"
            android:theme="@style/horizontal_slide">
            </activity>  
         <activity
            android:name=".setup.SetupExtendActivity"
            android:theme="@style/horizontal_slide">
            </activity> 
         <activity
            android:name=".setup.SetupMoneyActivity"
            android:theme="@style/horizontal_slide">
            </activity>            
        <activity
            android:name=".setup.SetupContactActivity"
            android:theme="@style/horizontal_slide">
            </activity>  
        <activity
            android:name=".setup.ContactWayActivity"
            android:theme="@style/horizontal_slide">
         </activity>          
         <activity
            android:name=".setup.SetupPasswordActivity"
            android:theme="@style/horizontal_slide">
            </activity> 
         <activity
            android:name=".setup.SetupMoneyPswActivity"
            android:theme="@style/horizontal_slide">
            </activity>
         <activity
            android:name=".setup.SetupLogoffActivity"
            android:theme="@style/horizontal_slide">
            </activity>
          <activity
            android:name=".setup.SetupRegoutActivity"
            android:theme="@style/horizontal_slide">
            </activity>                                     
          <activity
            android:name=".setup.ReplyListActivity"
            android:theme="@style/horizontal_slide">
            </activity>  
          <activity
            android:name=".setup.NewNoticeActivity"
            android:theme="@style/horizontal_slide">
            </activity>  
          <activity
            android:name=".setup.NewApplyActivity"
            android:theme="@style/horizontal_slide">
            </activity> 
         <activity
            android:name=".edit.SetupGuardDialog"
            android:theme="@style/horizontal_slide">
            </activity>                                                                              
  
          <activity
            android:name=".nearby.NearbySetupActivity"
            android:theme="@style/horizontal_slide">
            </activity>                                                                                           
          <activity
            android:name=".nearby.WifiListActivity"  
            android:screenOrientation="portrait">            
        </activity>  
       <activity
            android:name=".nearby.ScanListActivity"  
            android:screenOrientation="portrait">            
        </activity> 
      <activity
            android:name=".nearby.NearbyInfoActivity"  
            android:screenOrientation="portrait">            
        </activity>
           <activity
            android:name=".nearby.DevicesListActivity"  
            android:screenOrientation="portrait">            
        </activity>                
 		 <activity
            android:name=".activity.UserSearchActivity" 
            android:screenOrientation="portrait">
        </activity> 
  		 <activity
            android:name=".activity.GroupSearchActivity" 
            android:screenOrientation="portrait">
        </activity>  
        
  		 <activity
            android:name=".activity.AlertDialog" 
            android:screenOrientation="portrait">
        </activity>                                                    
        <activity
            android:name=".main.PublicActivity"  
            android:screenOrientation="portrait">
        </activity> 
         <activity
            android:name=".main.WebViewActivity"  
            android:screenOrientation="portrait">
        </activity>        
        <activity
            android:name=".main.MyCodeActivity"  
            android:screenOrientation="portrait">
        </activity> 
         <activity
            android:name=".main.SettingActivity"  
            android:screenOrientation="portrait">            
        </activity>  
         <activity
            android:name=".main.GetMoneyActivity"  
            android:screenOrientation="portrait">
        </activity> 
         <activity
            android:name=".zxing.CaptureActivity"  
            android:screenOrientation="portrait">            
        </activity> 
        
       <activity
            android:name=".sms.ContactActivity"  
            android:screenOrientation="portrait">            
        </activity> 
        <activity
            android:name=".sms.SMSActivity"  
            android:screenOrientation="portrait">            
        </activity>       
        <activity
            android:name=".sms.NumberActivity"  
            android:screenOrientation="portrait">            
        </activity>  
  
       <activity
            android:name=".ulive.VideoPhoneActivity"  
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >           
        </activity> 
       <activity
            android:name=".ulive.VoicePhoneActivity"  
              android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >         
        </activity> 
        <activity
            android:name=".ulive.LearnWatchActivity"  
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >           
        </activity>                
        <activity
            android:name=".ulive.VideoWatchActivity"  
              android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >          
        </activity> 
        <activity
            android:name=".ulive.LiveWatchActivity"  
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >          
        </activity> 
        <activity
            android:name=".ulive.LivePublishActivity"  
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >          
        </activity>         
        <activity
            android:name=".ulive.VideoSuperActivity"  
            android:launchMode="singleTop"
            android:theme="@style/horizontal_slide"
            android:windowSoftInputMode="adjustResize" >          
        </activity>
        <activity
            android:name=".ulive.LivesListActivity"  
            android:screenOrientation="portrait">            
        </activity>                                          
        <activity
            android:name=".download.PhotoActivity"  
            android:screenOrientation="portrait">            
        </activity> 
        <activity
            android:name=".download.DownpicActivity"  
            android:screenOrientation="portrait">            
        </activity>                                                                       
   
        <!-- 百度地图所需的service -->
        <service
            android:name="com.baidu.location.f"
            android:enabled="true"
            android:process=":remote"
             />  
        <receiver 
            android:name="com.lianxin.panqq.thread.service.AlarmManagerReceiver"
            android:process=":remote" >  
        </receiver>            
       <!-- umeng appkey，可忽略 -->
         <meta-data
            android:name="UMENG_APPKEY"
            android:value="53912a3156240b01a7075ed1" >
        </meta-data>             
        <meta-data
            android:name="com.baidu.lbsapi.API_KEY"
            android:value="3ecea51f560650b1ed8a4b99808f52e8" />                   
    </application>

</manifest>
